Package org.zkoss.stateless.ui.util

## Class VolatileIPage

- java.lang.Object
- - org.zkoss.zk.ui.AbstractPage
  - - org.zkoss.zk.ui.impl.PageImpl
    - - org.zkoss.zk.ui.impl.VolatilePage
      - - org.zkoss.stateless.ui.util.VolatileIPage

- All Implemented Interfaces:
    `java.io.Serializable`, `ClassResolver`, `Scope`, `IdSpace`, `Page`, `PageCtrl`

      public class VolatileIPage
      extends VolatilePage

  A page is alive temporarily during UiEngine to create IComponents from a ZUML page that eventually shall not be attached to the desktop.
  Author:
    jumperchen
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.zkoss.zk.ui.Page

      `APPLICATION_SCOPE, DESKTOP_SCOPE, PAGE_SCOPE, REQUEST_SCOPE, SESSION_SCOPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VolatileIPage​(PageDefinition pgdef)` |
    `VolatileIPage​(Page ref)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAction​(IComponent owner, java.lang.String name, ActionHandler handler)` |
    `<T extends IComponent> java.util.List<T>` | `getAllIComponents()` |
    `void` | `mergeActionsTo​(Page page)` |
    `static StatelessEventListenerMap` | `removeVolatileEventListenerMap​(Page page, IComponent icmp)` |

    - ### Methods inherited from class org.zkoss.zk.ui.impl.VolatilePage

      `toString`

    - ### Methods inherited from class org.zkoss.zk.ui.impl.PageImpl

      `addAfterHeadTags, addBeforeHeadTags, addClassResolver, addDeferredZScript, addEventListener, addFunctionMapper, addScopeListener, addTemplate, addVariableResolver, destroy, getAfterHeadTags, getAttribute, getAttribute, getAttribute, getAttributeOrFellow, getAttributes, getAttributes, getAutomaticTimeout, getBeforeHeadTags, getCacheable, getClassResolver, getComponentDefinition, getComponentDefinition, getComponentDefinitionMap, getContentType, getDesktop, getDocType, getEventListeners, getExpressionFactoryClass, getFirstLine, getFunctionMapper, getId, getInterpreter, getLanguageDefinition, getLoadedInterpreters, getOwner, getRequestPath, getResponseHeaders, getRootAttributes, getStyle, getTemplate, getTitle, getUuid, getViewport, getWidgetClass, getXelVariable, getXelVariable, getZScriptClass, getZScriptFunction, getZScriptFunction, getZScriptLanguage, getZScriptVariable, getZScriptVariable, hasAttribute, hasAttribute, hasAttribute, hasAttributeOrFellow, hasFunctionMapper, hasVariableResolver, init, init, interpret, invalidate, isAlive, isComplete, isListenerAvailable, preInit, redraw, removeAttribute, removeAttribute, removeAttribute, removeEventListener, removeFunctionMapper, removeScopeListener, removeTemplate, removeVariableResolver, resolveClass, sessionDidActivate, sessionWillPassivate, setAttribute, setAttribute, setAttribute, setAutomaticTimeout, setCacheable, setComplete, setContentType, setDocType, setExpressionFactoryClass, setFirstLine, setId, setOwner, setRootAttributes, setStyle, setTitle, setViewport, setWidgetClass, setZScriptLanguage`

    - ### Methods inherited from class org.zkoss.zk.ui.AbstractPage

      `getFellow, getFellow, getFellowIfAny, getFellowIfAny, getFellows, getFirstRoot, getLastRoot, getRoots, hasFellow, hasFellow, removeComponents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VolatileIPage

          public VolatileIPage​(PageDefinition pgdef)

    - #### VolatileIPage

          public VolatileIPage​(Page ref)

  - ### Method Detail

    - #### addAction

          public void addAction​(IComponent owner,
                                java.lang.String name,
                                ActionHandler handler)

    - #### mergeActionsTo

          public void mergeActionsTo​(Page page)

    - #### getAllIComponents

          public <T extends IComponent> java.util.List<T> getAllIComponents()

    - #### removeVolatileEventListenerMap

          public static StatelessEventListenerMap removeVolatileEventListenerMap​(Page page,
                                                                                 IComponent icmp)